1. Channels
Nstproxy Resell Service API
  • Zones
    • Get service zone list
      GET
  • Channels
    • Get channel usage statistics
      GET
    • Get total usage for all service channels
      GET
    • Create channel
      POST
    • Batch query channels
      POST
    • Batch query channel usage summary
      POST
    • Get channel detail
      GET
    • Update channel
      PUT
    • Delete channel
      DELETE
  • IP Products
    • Get service IP product list
      GET
  • IP Orders
    • Get total purchased IP quantity
      GET
    • Batch query IP orders
      POST
    • Buy service IPs
      POST
    • Get purchased IP order detail
      GET
    • Renew IP order
      POST
  • Regions
    • Get country list
      GET
  • Proxies
    • Generate proxies
      GET
  • Schemas
    • SuccessResponse
    • ErrorResponse
    • ProxyType
    • RegionProxyType
    • IpOrderType
    • ProxyProtocol
    • Zone
    • Channel
    • CreateChannelRequest
    • UpdateChannelRequest
    • ChannelIdsRequest
    • ChannelUsageRequest
    • ChannelStatistics
    • UsageMetric
    • ChannelUsageTotal
    • ChannelUsageSummary
    • IpProduct
    • PurchaseTotalByType
    • PurchaseTotal
    • OrderIdsRequest
    • IpProxyItem
    • IpOrder
    • IpOrderDetail
    • CreateIpOrderProduct
    • CreateIpOrderRequest
    • ErrorProxyItem
    • CreateIpOrderResponse
    • RenewSuccessItem
    • RenewIpOrderResponse
    • Country
    • GenerateProxiesResponse
  1. Channels

Batch query channels

POST
/api/v1/service/channels/query

Request

Authorization
API Key
Add parameter in header
x-service-id
Example:
x-service-id: ********************
API Key
Add parameter in header
x-service-secret
Example:
x-service-secret: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠400BadRequestError
🟠401UnauthorizedError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/service/channels/query' \
--header 'x-service-id: <api-key>' \
--header 'x-service-secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "channelIds": [
        "string"
    ]
}'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "channelId": "string",
            "zoneName": "string",
            "name": "string",
            "password": "string",
            "whitelist": [
                "192.168.0.1"
            ],
            "senses": [
                "string"
            ],
            "type": "residential",
            "regionType": "country",
            "country": "string",
            "state": "string",
            "city": "string",
            "speedPercent": 0,
            "status": 0,
            "total": 0,
            "used": 0,
            "limit": 0,
            "priceGB": 0,
            "editableRegion": true,
            "exTime": "2019-08-24T14:15:22.123Z",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z",
            "remain": 0
        }
    ],
    "err": false,
    "msg": "SUCCESS",
    "code": 200
}
Modified at 2026-04-09 10:44:15
Previous
Create channel
Next
Batch query channel usage summary
Built with